## org.codehaus.groovy.grails.plugins.web
Class GroovyPagesGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.GroovyPagesGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GroovyPagesGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`GroovyPagesGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getDependsOn()`
`Object` `getDoWithApplicationContext()`
`Object` `getDoWithDynamicMethods()`
`Object` `getDoWithSpring()`
`Object` `getDoWithWebDescriptor()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getObserve()`
`Object` `getOnChange()`
`Object` `getProperty(String property)`
`Object` `getProvidedArtefacts()`
`Object` `getVersion()`
`Object` `getWatchedResources()`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `registerControllerMethodMissing(groovy.lang.MetaClass mc, TagLibraryLookup lookup, ApplicationContext ctx)`
`void` `setDependsOn(Object value)`
`void` `setDoWithApplicationContext(Object value)`
`void` `setDoWithDynamicMethods(Object value)`
`void` `setDoWithSpring(Object value)`
`void` `setDoWithWebDescriptor(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setObserve(Object value)`
`void` `setOnChange(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setProvidedArtefacts(Object value)`
`void` `setVersion(Object value)`
`void` `setWatchedResources(Object value)`
`static String` `transformToValidLocation(String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPagesGrailsPlugin

    public GroovyPagesGrailsPlugin()

Method Detail

### getWatchedResources

    public Object getWatchedResources()

### setWatchedResources

    public void setWatchedResources(Object value)

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getDependsOn

    public Object getDependsOn()

### setDependsOn

    public void setDependsOn(Object value)

### getObserve

    public Object getObserve()

### setObserve

    public void setObserve(Object value)

### getProvidedArtefacts

    public Object getProvidedArtefacts()

### setProvidedArtefacts

    public void setProvidedArtefacts(Object value)

### getDoWithApplicationContext

    public Object getDoWithApplicationContext()

### setDoWithApplicationContext

    public void setDoWithApplicationContext(Object value)

### getDoWithSpring

    public Object getDoWithSpring()

### setDoWithSpring

    public void setDoWithSpring(Object value)

### getDoWithWebDescriptor

    public Object getDoWithWebDescriptor()

### setDoWithWebDescriptor

    public void setDoWithWebDescriptor(Object value)

### getDoWithDynamicMethods

    public Object getDoWithDynamicMethods()

### setDoWithDynamicMethods

    public void setDoWithDynamicMethods(Object value)

### getOnChange

    public Object getOnChange()

### setOnChange

    public void setOnChange(Object value)

### transformToValidLocation

    public static String transformToValidLocation(String location)

### registerControllerMethodMissing

    public Object registerControllerMethodMissing(groovy.lang.MetaClass mc,
                                                  TagLibraryLookup lookup,
                                                  ApplicationContext ctx)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project